
# account_management

[![Build Status](https://gitlab.com/arden-puppet/arden-account_management/badges/master/pipeline.svg)](https://gitlab.com/arden-puppet/arden-account_management/commits/master) [![Puppet Forge](https://img.shields.io/puppetforge/v/arden/account_management.svg)](https://forge.puppetlabs.com/arden/account_management)

#### Table of Contents

1. [Description](#description)
2. [Setup - The basics of getting started with account_management](#setup)
    * [What account_management affects](#what-account_management-affects)
    * [Setup requirements](#setup-requirements)
    * [Beginning with account_management](#beginning-with-account_management)
3. [Usage - Configuration options and additional functionality](#usage)
4. [Limitations - OS compatibility, etc.](#limitations)
5. [Development - Guide for contributing to the module](#development)

## Description

Creates users/groups and installs a users preferred shell.  It makes sure these things are done in the correct order.

## Setup

### What account_management affects 

It creates users/groups and installs a users preferred shell.  It makes sure that groups are created and preferred shells are installed before the user is created.
### Setup Requirements **OPTIONAL**

This module requires the puppetlabs/accounts module.

## Usage

The example below will create a group named bridge and a user named wriker.  The bridge group will be created first, then wriker's preffered shell will be installed and finally the wriker user will be created with the requested parameters.

```yaml

profile::account_management::required_groups:
  bridge:
    name: 'bridge'
    gid: '1701'
profile::account_management::required_users:
  wriker:
    comment: 'beard'
    groups:
      - 'wheel'
      - 'bridge'
    uid: '1200'
    gid: '1200'
    shell: '/bin/zsh'
```

## Limitations

### OS Support

Tested on:
* CentOS 7
* RHEL 7
* Gentoo

### Shell Support

* Currently only supports bash, zsh, and ksh.

## Development

TBD

## Release Notes/Contributors/Etc. **Optional**

Check out the [contributor list](https://gitlab.com/arden-puppet/arden-account_management/graphs/master)
