# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`account_management`](#account_management): Controls ordering of group and user creation.
* [`account_management::groups`](#account_managementgroups): Creates groups.
* [`account_management::shells`](#account_managementshells): Installs shells before creating users
* [`account_management::users`](#account_managementusers): Creates the users via the accounts module

## Classes

### account_management

A class to ensure group and user creation completes
without errors.  It ensures a users required groups are
created and preffered shell is installed before the
user is created.

#### Examples

##### 

```puppet
include account_management
```

#### Parameters

The following parameters are available in the `account_management` class.

##### `required_users`

Data type: `Hash[String, Hash[String, Variant[String, Boolean, Integer, Array[String]]]]`

Hash[String, Hash[String, Variant[String, Boolean, Integer, Array[String]]]]
A hash of the users to be created with a nested hash
containing all their parameters.

Default value: {}

##### `shell_package_map`

Data type: `Hash[String, String]`

Hash[String, String]
A hash that contains mappings for shell paths to shell package names.

Default value: {}

##### `required_groups`

Data type: `Hash[String, Hash[String, String]]`

Hash[String, Hash[String, String]]
A hash of the groups to be created with a nested hash
containing all their parameters.

Default value: {}

### account_management::groups

A class to handle group creation

### account_management::shells

A class to install a users preffered shell before the
user is created.

### account_management::users

A class to use the accounts module to create
all users with their expected parameters.

